using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

namespace AudioPlayer
{
    [Serializable]
    public enum SoundID
    {
        NONE = -1,
        _____COMMON_____ = 0,
        BUTTON_HOVER = 1,
        BUTTON_CLICK = 2,
        //TRANSITION_IN = 3,
        //TRANSITION_OUT = 4,
        TUTORIAL_THEME_MUSIC = 5,
        OPEN_CHEST = 6,
        TEST_MUSIC = 7,
        DIALOGUE = 8,

        //MUSIC
        _____MAIN_MENU_____ = 100,
        MUSIC_MAIN_MENU,
        MUSIC_GAMEPLAY_1,
        MUSIC_GAMEPLAY_2,

        //_____REAL_WORLD_AREA_____ = 120,
        //MUSIC_REAL_WOLRD_AREA,

        //_____BEGIN_AREA_____ = 140,
        //MUSIC_BIRD_MEADOW,
        //MUSIC_BEGIN_AREA,

        //_____AREA_1_____ = 160,
        //MUSIC_AREA_1,
        //MUSIC_LAKE_BEGIN,
        //MUSIC_LAKE,
        //MUSIC_BONUS_1,
        //MUSIC_BOSS_1_BEGIN,
        //MUSIC_BOSS_1,

        //_____COMMON_MUSIC______ = 250,
        //MUSIC_MINIBOSS_BEGIN,
        //MUSIC_MINIBOSS,
        //MUSIC_STORY,
        //MUSIC_SURPRISE,
        //MUSIC_DUNGEON_BEGIN,
        //MUSIC_DUNGEON,
        //MUSIC_SCARY_STORY,
        //MUSIC_HAPPY,

        //SOUND EFFECT

        _____PLAYER_______ = 300,
        SFX_SLASH = 301,
        //SFX_BOW_ATTACK = 302,
        SFX_HURT = 303,
        //SFX_CRITICAL_HURT = 304, hurt du xai r
        SFX_DASH = 305,
        //SFX_ABSORB = 306,
        //SFX_GET_SPELL = 307,
        SFX_HEAL = 308,
        SFX_DIE = 309,
        //SFX_LOW_HP = 310,
        SFX_JUMP = 311,
        SFX_LANDING,
        //SFX_SURPRISE = 312,
        //SFX_LOOT = 313,
        //SFX_LOOT_SPECIAL = 314,
        //SFX_CHARGE_SWORD_ATTACK = 315,
        //SFX_PLUCK = 316,
        //SFX_COLLECT_COIN = 317,
        //SFX_TALL_GRASS = 318,
        //SFX_CHARGE,
        //SFX_FULL_CHARGE,

        _____UI___________ = 400,
        SFX_LEVEL_UP = 401,
        //SFX_EXP_UP = 402,
        //SFX_HOVER_INVENTORY_SLOT,
        //SFX_HOLD_ITEM,
        //SFX_RELEASE_ITEM,
        //SFX_PRESS_BUTTON,
        SFX_TRANSITION_IN,
        SFX_TRANSITION_OUT,
        //SFX_PURCHASE,
        //SFX_START_UI,
        //SFX_END_UI,
        //SFX_INTERACT,
        //SFX_START_PAPER,
        SFX_LIGHT_TRANSITION,
        //SFX_BOOK_PAGE,
        //SFX_SHOW_CARRY_SLOT,
        //SFX_HIDE_CARRY_SLOT,
        SFX_GAME_OVER,
        //SFX_AREA_INTRO,
        //SFX_SPELL_INTRO,
        //SFX_EXCLAMATION,
        //SFX_TYPING,
        SFX_VICTORY,
        //SFX_HOVER_BUTTON,

        //_____OBJECT_______ = 500,
        SFX_OBJECT_APPEAR,
        SFX_CAGE_PREPARE_BREAK,
        //SFX_UNLOCK,
        //SFX_WATER_SPLASH,
        //SFX_HIT_BOULDER,
        //SFX_DOOR_CLOSE,
        //SFX_DOOR_OPEN,
        //SFX_SAVE,
        //SFX_FAIRY_DUST,
        //SFX_CUT_GRASS,
        //SFX_BREAK_POT,
        //SFX_BIRD_FLY,
        //SFX_APPEAR,
        //SFX_ERROR,
        //SFX_BIRD_SHORT_FLY,
        //SFX_EATING,
        //SFX_FALL,

        _____SPELL________ = 600,
        //SFX_BOMB = 601,
        SFX_FIRE = 602,
        //SFX_THUNDER = 603,
        //SFX_BOOMERANG = 604,
        //SFX_INHALE = 605,
        //SFX_EXPLOSION = 606,
        //SFX_HYPNOSIS = 607,
        SFX_HYPER_BEAM = 608,
        SFX_SPIKE = 609,
        //SFX_BUFF = 610,
        //SFX_ICE = 611,
        //SFX_TELEPORT = 612,

        //_____FOOTSTEP_____ = 700,
        //SFX_LAND_FOOTSTEP = 701,
        //SFX_ROCK_FOOTSTEP = 702,
        //SFX_GRASS_FOOTSTEP = 703,
        //SFX_ICE_FOOTSTEP = 704,

        _____ENEMY________ = 800,
        SFX_SHOT,
        SFX_ENEMY_PREPARE_APPEAR,
        SFX_ENEMY_APPEAR,
        //SFX_SLIME_WALK = 801,
        //SFX_SLIME_FIRE = 802,
        //SFX_SLIME_POISON_BOMB = 803,
        //SFX_SING = 804,
        //SFX_SPLASH = 805,
        //SFX_SPLASH_1 = 806,
        //SFX_ACRO_JUMP = 807,
        //SFX_SLIME_SPIKE_DART = 808,
        //SFX_BULLET = 809,
        //SFX_MOLDWORM = 810,
        //SFX_BITE = 811,
        //SFX_GROUND_POUND = 812,
        //SFX_EGG_HATCH = 813,
        //SFX_EGG_HATCH_1 = 814,
        //SFX_EGG_REFLECT = 815, 
        //SFX_BOSS_WALK = 816,
        //SFX_BOSS_ROAR = 817,
        //SFX_LASER_BEAM = 818,
        //SFX_KAMEHAMEHA = 819,
        //SFX_ENEMY_SHOOT = 820,
        //SFX_DIG = 821,
        //SFX_FROG_EAT = 822,
        //SFX_POP = 823,
        //SFX_ENEMY_TELEPORT = 824,
        //SFX_SMALL_EXPLOSION = 825,
        //SFX_ENEMY_ELECTRIC = 826,
        SFX_ENEMY_HURT = 827,
        //SFX_BOSS_DIE,
    }
}